cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
143
Views
0
Helpful
6
Replies
Highlighted
Cisco Employee

Error while installing ydk on pyats

Hi Team,

In my 64 bit machine, I am hitting error while installing ydk on a pyats environment. Any help is highly appreciated. Pasting the error below,

 

(pyats) jkalaise@access-ops-lnx /auto/tftp-access-ops/mgbl/pyats/ydk-gen/gen-api/python/ydk/dist > pip install ydk-0.8.3.tar.gz
Looking in indexes: http://pyats-pypi.cisco.com/simple
Processing ./ydk-0.8.3.tar.gz
Requirement already satisfied: pybind11>=2.1.1 in /auto/tftp-access-ops/mgbl/pyats/lib/python3.4/site-packages (from ydk==0.8.3) (2.3.0)
Installing collected packages: ydk
Running setup.py install for ydk ... error
Complete output from command /auto/tftp-access-ops/mgbl/pyats/bin/python3.4 -u -c "import setuptools, tokenize;__file__='/tmp/pip-req-build-yt_uoxuv/setup.py';f=getat:
running install
running build
running build_py
creating build
creating build/lib.linux-x86_64-3.4
creating build/lib.linux-x86_64-3.4/ydk
copying ydk/exthook.py -> build/lib.linux-x86_64-3.4/ydk
copying ydk/__init__.py -> build/lib.linux-x86_64-3.4/ydk
creating build/lib.linux-x86_64-3.4/ydk/models
copying ydk/models/__init__.py -> build/lib.linux-x86_64-3.4/ydk/models
creating build/lib.linux-x86_64-3.4/ydk/filters
copying ydk/filters/__init__.py -> build/lib.linux-x86_64-3.4/ydk/filters
creating build/lib.linux-x86_64-3.4/ydk/entity_utils
copying ydk/entity_utils/entity_utils.py -> build/lib.linux-x86_64-3.4/ydk/entity_utils
copying ydk/entity_utils/__init__.py -> build/lib.linux-x86_64-3.4/ydk/entity_utils
creating build/lib.linux-x86_64-3.4/ydk/types
copying ydk/types/py_types.py -> build/lib.linux-x86_64-3.4/ydk/types
copying ydk/types/__init__.py -> build/lib.linux-x86_64-3.4/ydk/types
creating build/lib.linux-x86_64-3.4/ydk/providers
copying ydk/providers/codec_provider.py -> build/lib.linux-x86_64-3.4/ydk/providers
copying ydk/providers/netconf_provider.py -> build/lib.linux-x86_64-3.4/ydk/providers
copying ydk/providers/__init__.py -> build/lib.linux-x86_64-3.4/ydk/providers
creating build/lib.linux-x86_64-3.4/ydk/errors
copying ydk/errors/error_handler.py -> build/lib.linux-x86_64-3.4/ydk/errors
copying ydk/errors/__init__.py -> build/lib.linux-x86_64-3.4/ydk/errors
creating build/lib.linux-x86_64-3.4/ydk/logging
copying ydk/logging/__init__.py -> build/lib.linux-x86_64-3.4/ydk/logging
creating build/lib.linux-x86_64-3.4/ydk/path
copying ydk/path/__init__.py -> build/lib.linux-x86_64-3.4/ydk/path
creating build/lib.linux-x86_64-3.4/ydk/ext
copying ydk/ext/__init__.py -> build/lib.linux-x86_64-3.4/ydk/ext
creating build/lib.linux-x86_64-3.4/ydk/_core
copying ydk/_core/_importer.py -> build/lib.linux-x86_64-3.4/ydk/_core
copying ydk/_core/_dm_meta_info.py -> build/lib.linux-x86_64-3.4/ydk/_core
copying ydk/_core/__init__.py -> build/lib.linux-x86_64-3.4/ydk/_core
creating build/lib.linux-x86_64-3.4/ydk/services
copying ydk/services/executor_service.py -> build/lib.linux-x86_64-3.4/ydk/services
copying ydk/services/codec_service.py -> build/lib.linux-x86_64-3.4/ydk/services
copying ydk/services/__init__.py -> build/lib.linux-x86_64-3.4/ydk/services
copying ydk/services/netconf_service.py -> build/lib.linux-x86_64-3.4/ydk/services
copying ydk/services/crud_service.py -> build/lib.linux-x86_64-3.4/ydk/services
creating build/lib.linux-x86_64-3.4/ydk/path/sessions
copying ydk/path/sessions/restconf_session.py -> build/lib.linux-x86_64-3.4/ydk/path/sessions
copying ydk/path/sessions/netconf_session.py -> build/lib.linux-x86_64-3.4/ydk/path/sessions
copying ydk/path/sessions/__init__.py -> build/lib.linux-x86_64-3.4/ydk/path/sessions
running build_ext
-- The C compiler identification is GNU 4.4.7
-- The CXX compiler identification is GNU 4.4.7
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
python version: 3.4m
-- Found PythonLibs: /usr/lib64/libpython3.4m.so (found version "3.4.5")
pybind11 include: /auto/tftp-access-ops/mgbl/pyats/include/site/python3.4;/auto/tftp-access-ops/mgbl/pyats/include/site/python3.4
CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:
curl_location
linked by target "ydk_" in directory /tmp/pip-req-build-yt_uoxuv
pcre_location
linked by target "ydk_" in directory /tmp/pip-req-build-yt_uoxuv
ssh_location
linked by target "ydk_" in directory /tmp/pip-req-build-yt_uoxuv
ssh_threads_location
linked by target "ydk_" in directory /tmp/pip-req-build-yt_uoxuv
ydk_location
linked by target "ydk_" in directory /tmp/pip-req-build-yt_uoxuv

-- Configuring incomplete, errors occurred!
See also "/tmp/pip-req-build-yt_uoxuv/build/temp.linux-x86_64-3.4/CMakeFiles/CMakeOutput.log".
Traceback (most recent call last):
File "<string>", line 1, in <module>
File "/tmp/pip-req-build-yt_uoxuv/setup.py", line 145, in <module>
zip_safe=False,
File "/auto/tftp-access-ops/mgbl/pyats/lib/python3.4/site-packages/setuptools/__init__.py", line 145, in setup
return distutils.core.setup(**attrs)
File "/auto/pysw/cel63/python64/3.4.1/lib/python3.4/distutils/core.py", line 148, in setup
dist.run_commands()
File "/auto/pysw/cel63/python64/3.4.1/lib/python3.4/distutils/dist.py", line 955, in run_commands
self.run_command(cmd)
File "/auto/pysw/cel63/python64/3.4.1/lib/python3.4/distutils/dist.py", line 974, in run_command
cmd_obj.run()
File "/auto/tftp-access-ops/mgbl/pyats/lib/python3.4/site-packages/setuptools/command/install.py", line 61, in run
return orig.install.run(self)
File "/auto/pysw/cel63/python64/3.4.1/lib/python3.4/distutils/command/install.py", line 554, in run
self.run_command('build')
File "/auto/pysw/cel63/python64/3.4.1/lib/python3.4/distutils/cmd.py", line 313, in run_command
self.distribution.run_command(command)
File "/auto/pysw/cel63/python64/3.4.1/lib/python3.4/distutils/dist.py", line 974, in run_command
cmd_obj.run()
File "/auto/pysw/cel63/python64/3.4.1/lib/python3.4/distutils/command/build.py", line 126, in run
self.run_command(cmd_name)
File "/auto/pysw/cel63/python64/3.4.1/lib/python3.4/distutils/cmd.py", line 313, in run_command
self.distribution.run_command(command)
File "/auto/pysw/cel63/python64/3.4.1/lib/python3.4/distutils/dist.py", line 974, in run_command
cmd_obj.run()
File "/tmp/pip-req-build-yt_uoxuv/setup.py", line 68, in run
self.build_extension(ext)
File "/tmp/pip-req-build-yt_uoxuv/setup.py", line 100, in build_extension
subprocess.check_call([cmake_executable, ext.sourcedir] + cmake_args, cwd=self.build_temp)
File "/auto/pysw/cel63/python64/3.4.1/lib/python3.4/subprocess.py", line 561, in check_call
raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['cmake', '/tmp/pip-req-build-yt_uoxuv', '-DCMAKE_LIBRARY_OUTPUT_DIRECTORY=/tmp/pip-req-build-yt_uoxuv/build/lib.linux-x86_64-1

----------------------------------------
Command "/auto/tftp-access-ops/mgbl/pyats/bin/python3.4 -u -c "import setuptools, tokenize;__file__='/tmp/pip-req-build-yt_uoxuv/setup.py';f=getattr(tokenize, 'open', ope/
(pyats) jkalaise@access-ops-lnx /auto/tftp-access-ops/mgbl/pyats/ydk-gen/gen-api/python/ydk/dist >

6 REPLIES 6
Cisco Employee

Re: Error while installing ydk on pyats

Have you installed the matching libydk?

Cisco Employee

Re: Error while installing ydk on pyats

Thank you for your response, I had done this

pip install -r ydk-gen/requirements.txt --index-url https://pypi.python.org/simple

(pyats) jkalaise@access-ops-lnx /auto/tftp-access-ops/mgbl/pyats > !cat
cat ydk-gen/requirements.txt
pyang==1.6
Sphinx==1.4a1
sphinx-rtd-theme==0.1.9
GitPython==2.1.11
rstr==2.2.6
enum34==1.1.3
lxml>=3.4.4
ncclient>=0.4.7

Does this you mean?? Below are the steps I had done,

278 source /auto/pyats/bin/lab_proxy.sh
279 git clone https://github.com/CiscoDevNet/ydk-gen
280 cat ydk-gen/requirements.txt
281 unset LC_ALL
285 pip install -r ydk-gen/requirements.txt --index-url https://pypi.python.org/simple
291 ./generate.py --core
292 ls ydk0.8.3/ydk/core
293 cd ydk0.8.3
294 ls ydk-0.8.3/ydk/_core
git clone https://github.com/CiscoDevNet/ydk-py
319 cd ydk-gen
320 cd gen-api/python/ydk/dist
321 pip install ydk-0.8.3.tar.gz
Cisco Employee

Re: Error while installing ydk on pyats

Hello jkalaise

 

Before installing python component you need to install C++ libraries libydk and optionally libydk_gnmi, if you are planning to use gNMI protocol. But before that you need to satisfy requirements on your host system. Please refer to documentation for all the details.

 

Yan

Cisco Employee

Re: Error while installing ydk on pyats

I tried installing ydklib, however my system is RHEL 6.8 where the dependency could not be resolved. Could you please let me know how to proceed further?

 

--> Finished Dependency Resolution
Error: Package: libydk-0.8.3-1.x86_64 (/libydk-0.8.3-1.x86_64)
Requires: python-pip
Error: Package: libydk-0.8.3-1.x86_64 (/libydk-0.8.3-1.x86_64)
Requires: cmake3
Error: Package: libydk-0.8.3-1.x86_64 (/libydk-0.8.3-1.x86_64)
Requires: libssh-devel
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest
Uploading Enabled Repositories Report
Loaded plugins: refresh-packagekit
[root@access-ops-lnx ~]# yum install python-pip cmake3 libssh-devel
Loaded plugins: enabled_repos_upload, package_upload, refresh-packagekit, search-disabled-repos, security
Setting up Install Process
https://rhn-cap3-ams.cisco.com/pulp/repos/PROD/Library/CEL-PROD-6_8-DevSuite/content/dist/rhel/server/6/6Server/x86_64/extras/os/repodata/repomd.xml: [Errno 14] PYCURL ERROR 22 - "The requested URL returned error: 504"
Trying other mirror.
https://rhn-cap3-ams.cisco.com/pulp/repos/PROD/Library/CEL-PROD-6_8-DevSuite/content/fastrack/rhel/server/6/x86_64/os/repodata/repomd.xml: [Errno 14] PYCURL ERROR 22 - "The requested URL returned error: 504"
Trying other mirror.
https://rhn-cap3-ams.cisco.com/pulp/repos/PROD/Library/CEL-PROD-6_8-DevSuite/content/dist/rhel/server/6/6.8/x86_64/optional/os/repodata/repomd.xml: [Errno 14] PYCURL ERROR 22 - "The requested URL returned error: 504"
Trying other mirror.
https://rhn-cap3-ams.cisco.com/pulp/repos/PROD/Library/CEL-PROD-6_8-DevSuite/content/dist/rhel/server/6/6.8/x86_64/os/repodata/repomd.xml: [Errno 14] PYCURL ERROR 22 - "The requested URL returned error: 504"
Trying other mirror.
https://rhn-cap3-ams.cisco.com/pulp/repos/PROD/Library/CEL-PROD-6_8-DevSuite/content/dist/rhel/server/6/6Server/x86_64/sat-tools/6.3-puppet4/os/repodata/repomd.xml: [Errno 14] PYCURL ERROR 22 - "The requested URL returned error: 504"
Trying other mirror.
https://rhn-cap3-ams.cisco.com/pulp/repos/PROD/Library/CEL-PROD-6_8-DevSuite/content/dist/rhel/server/6/6Server/x86_64/sat-tools/6.3/os/repodata/repomd.xml: [Errno 14] PYCURL ERROR 22 - "The requested URL returned error: 504"
Trying other mirror.
https://rhn-cap3-ams.cisco.com/pulp/repos/PROD/Library/CEL-PROD-6_8-DevSuite/content/dist/rhel/server/6/6.8/x86_64/supplementary/os/repodata/repomd.xml: [Errno 14] PYCURL ERROR 22 - "The requested URL returned error: 504"
Trying other mirror.
No package python-pip available.
No package cmake3 available.
No package libssh-devel available.
Error: Nothing to do

Cisco Employee

Re: Error while installing ydk on pyats

The YDK is currently not supported on RHEL-6/CenOS-6 platforms due to some incompatibilities with 3-rd party packages/libraries, which are required for YDK. This issue is documented here. The only way forward in this situation is upgrade the platform to RHEL-7/CenOS-7.

Cisco Employee

Re: Error while installing ydk on pyats

Hi Team,

 

Appreciate all your help. Having RHEL 7.0 solved this issue. Please close this thread.

 

Thanks & Regards,

Jasmine.K

Content for Community-Ad
July's Community Spotlight Awards